package com.aplusinformatique.aplusmanager.db;

import androidx.room.Dao;
import androidx.room.Query;

import java.util.List;

@Dao
public interface GeofenceDao extends BaseDao<Geofence> {

    @Query("DELETE FROM geofence_table")
    public void deleteAll();

    @Query("SELECT * FROM geofence_table")
    List<Geofence> getAll();

    @Query("SELECT * FROM geofence_table WHERE uid = (:uid)")
    List<Geofence> getFromUid(String uid);

    @Query("DELETE FROM geofence_table WHERE uid = (:uid)")
    public void deleteFromUid(String uid);
}
